> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Configuration

> API to fetch list metadata like list type, count, source, and status. Doesn't include users in the list.



## OpenAPI

````yaml GET /v1/subscriber_list/{list_id}/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/subscriber_list/{list_id}/:
    get:
      summary: Get List configuration
      description: >-
        API to fetch list metadata like list type, count, source, and status.
        Doesn't include users in the list.
      operationId: get-list
      parameters:
        - name: list_id
          in: path
          description: Unique string identifier of the list.
          required: true
          schema:
            type: string
            default: _list_id_
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    list_id: product_updates
                    list_name: Product Update
                    list_description: Users subscribed to the newsletter
                    list_type: static_list
                    subscribers_count: 3
                    source: database_sync
                    is_readonly: false
                    status: active
                    track_user_entry: false
                    track_user_exit: false
                    requested_for_delete: false
                    created_at: '2024-02-21T19:10:01.906000Z'
                    updated_at: '2025-04-04T07:25:43.186475Z'
                    drafts: null
              schema:
                type: object
                properties:
                  list_id:
                    type: string
                    example: product_updates
                  list_name:
                    type: string
                    example: Product Update
                  list_description:
                    type: string
                    example: Users subscribed to the newsletter
                  list_type:
                    type: string
                    enum:
                      - static_list
                      - query_based
                  subscribers_count:
                    type: integer
                    description: number of users in the list
                  source:
                    type: string
                    description: source info on how the list is updated
                    example: database_sync
                  is_readonly:
                    type: boolean
                    example: false
                  status:
                    type: string
                    example: active
                  track_user_entry:
                    type: boolean
                    description: >-
                      Event `$USER_ENTERED_LIST - <list_id>` is generated when
                      user is added this list. Use this to trigger workflow on
                      user entry.
                  track_user_exit:
                    type: boolean
                    description: >-
                      Event `$USER_EXITED_LIST - <list_id>` is generated when
                      user is removed from this list. Use this to trigger
                      workflow on user exit.
                  requested_for_delete:
                    type: boolean
                    example: false
                  created_at:
                    type: string
                    format: date-time
                    example: '2024-02-21T19:10:01.906000Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-04-04T07:25:43.186475Z'
                  drafts:
                    type: string
                    nullable: true
                    description: would show the draft list created to replace list users.
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    error_code: not_found
                    type: NotFound
                    message: 'list_id: list_id_01 not found'
                    detail: 'list_id: list_id_01 not found'
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 404
                  error_code:
                    type: string
                    example: not_found
                  type:
                    type: string
                    example: NotFound
                  message:
                    type: string
                    example: 'list_id: list_id_01 not found'
                  detail:
                    type: string
                    example: 'list_id: list_id_01 not found'
                required:
                  - code
                  - error_code
                  - type
                  - message
                  - detail
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````